using System;
using System.Drawing;
using System.Windows.Forms;

public class SampleBaseForm : Form
{
  private Label[] Lb;
  private Panel Panel1;
  public SampleBaseForm()
  {
    Text = "SampleBaseForm";
    Padding = new Padding(3, 40, 3, 3);
    Lb = new Label[0];
    Panel1 = new Panel();
    Panel1.Dock = DockStyle.Fill;
    Panel1.BackColor = Color.GhostWhite;
    Controls.Add(Panel1);
  }

#region No34500 
  public void Contorol_Load(int nMax)
  {
    SuspendLayout();
    Lb = new Label[nMax];
    for (int i = 0; i < nMax; i++)
    {
      Lb[i] = new Label();
      Lb[i].Name = "Bit" + i.ToString();
      Lb[i].Size = new Size(29, 36);
      Lb[i].Location = new Point(i * 30, 10);
      Lb[i].Visible = true;
      Lb[i].BackColor = Color.Gray;
      Lb[i].Click += LB_Click;
    }
    Panel1.Controls.AddRange(Lb);
    ResumeLayout();
  }
#endregion

#region No34566
  private void LB_Click(object sender, EventArgs e)
  {
    Label label = (Label)sender;

    // ptH[ł̃Cxg
    label.BackColor = (label.BackColor == Color.Gray) ? Color.Gold : Color.Gray;

    OnLbClicked(new LbClickedEventArgs(label));
  }

  public event LbClickedEventHandler LbClicked;

  protected /* virtual */ void OnLbClicked(LbClickedEventArgs e)
  {
    if (LbClicked != null)
    {
      LbClicked(this, e);
    }
  }

  public delegate void LbClickedEventHandler(object sender, LbClickedEventArgs e);
  public class LbClickedEventArgs : EventArgs
  {
    private Label label;
    public Label Label { get { return label; } }
    public LbClickedEventArgs(Label label) { this.label = label; }
  }
#endregion
}
